Classes | Namespaces | Functions
WriterPlsParser.cxx File Reference
`#include <cstring>`
`#include <iomanip>`
`#include <iostream>`
`#include <limits>`
`#include <sstream>`
`#include <librevenge/librevenge.h>`
`#include "MWAWCell.hxx"`
`#include "MWAWTextListener.hxx"`
`#include "MWAWFont.hxx"`
`#include "MWAWFontConverter.hxx"`
`#include "MWAWHeader.hxx"`
`#include "MWAWParagraph.hxx"`
`#include "MWAWPosition.hxx"`
`#include "MWAWPictMac.hxx"`
`#include "MWAWPrinter.hxx"`
`#include "MWAWSection.hxx"`
`#include "MWAWSubDocument.hxx"`
`#include "MWAWTable.hxx"`
`#include "WriterPlsParser.hxx"`

## Classes
struct | WriterPlsParserInternal::PageInfo
| Page informations. More...
struct | WriterPlsParserInternal::ColumnInfo
| Column informations. More...
struct | WriterPlsParserInternal::ColumnTableInfo
| Column informations in a table. More...
struct | WriterPlsParserInternal::ParagraphInfo
| Paragraph informations. More...
struct | WriterPlsParserInternal::WindowsInfo
| Windows informations. More...
struct | WriterPlsParserInternal::WindowsInfo::Zone
struct | WriterPlsParserInternal::Font
| Internal: class to store the font properties. More...
struct | WriterPlsParserInternal::Line
| Internal: class to store the line properties. More...
struct | WriterPlsParserInternal::GraphicInfo
| Internal: class to store the Graphic properties. More...
struct | WriterPlsParserInternal::SectionInfo
| Internal: class to store the Section properties. More...
struct | WriterPlsParserInternal::ParagraphData
| Internal: class to store the beginning of all paragraph data. More...
struct | WriterPlsParserInternal::State
| Internal: the state of a WriterPlsParser. More...
class | WriterPlsParserInternal::SubDocument
| Internal: the subdocument of a WriterPlsParser. More...

## Namespaces
| WriterPlsParserInternal
| Internal: the structures of a WriterPlsParser.

## Functions
std::ostream & | WriterPlsParserInternal::operator<< (std::ostream &o, WindowsInfo const &w)